<?php
/**
 * @package white-xmas
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php
		the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		whitexmas_breadcrumbs();

		if ( 'post' === get_post_type() ) {
			?>
			<div class="entry-meta"><?php whitexmas_posted_on(); ?></div><!-- .entry-meta -->
		<?php
		}
		?>
	</header><!-- .entry-header -->

	<?php
	if ( is_search() ) {
	?>
		<div class="entry-summary"><?php the_excerpt(); ?></div><!-- .entry-summary -->
	<?php
	} else {
	?>
		<div class="entry-content">
			<?php
			if ( has_post_thumbnail() ) {
				the_post_thumbnail();
			}
			the_content();
			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'white-xmas' ),
				'after'  => '</div>',
			) );
			?>
		</div><!-- .entry-content -->
	<?php } ?>

	<footer class="entry-meta">
		<?php
		if ( 'post' === get_post_type() ) {
			/* translators: used between list items, there is a space after the comma */
			$categories_list = get_the_category_list( __( ', ', 'white-xmas' ) );
			if ( $categories_list ) {
			?>
				<span class="cat-links"><?php printf( __( 'Posted in %1$s', 'white-xmas' ), $categories_list ); ?></span>
			<?php
			}
			/* translators: used between list items, there is a space after the comma */
			$tags_list = get_the_tag_list( '', __( ', ', 'white-xmas' ) );
			if ( $tags_list ) {
			?>
				<span class="tags-links"><?php printf( __( 'Tagged %1$s', 'white-xmas' ), $tags_list ); ?></span>
			<?php
			}
		}
		if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) {
		?>
			<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'white-xmas' ), __( '1 Comment', 'white-xmas' ), __( '% Comments', 'white-xmas' ) ); ?></span>
		<?php
		}
		edit_post_link( __( 'Edit', 'white-xmas' ) . '<span class="screen-reader-text">' . get_the_title( $id ) . '</span>');
		?>
	</footer><!-- .entry-meta -->
</article><!-- #post-## -->
